Page MenuHomePhabricator

Incorporate page size into load time measurements
Closed, ResolvedPublic

Description

It was noted in the quarterly review that forward looking speed enhancements would do well to try to measure in terms of median page size load time on varying connection speeds.

So being able to express stuff that way will be good. Realistically, having a distribution curve for different page sizes on different connection speeds can be even more telling.

Having a sense of the constituent parts of the page, particularly ones we want to remove / lazily load, will be helpful. This implies some kind of work on Event Logging schema(s).

Can we do this with existing performance infrastructure or will we need to build something new?
Thoughts welcomed.

Event Timeline

Jdlrobson raised the priority of this task from to Normal.
Jdlrobson updated the task description. (Show Details)
Jdlrobson added subscribers: Gilles, bearND, He7d3r and 15 others.

Note that both WebPageTest and Asset Check already collect page size (byte size of HTML download). See https://grafana-admin.wikimedia.org/dashboard/db/asset-check for instance.

Collecting these from client-side from all users is imho not feasible and also wouldn't be accurate.

Peter added a comment.Nov 4 2015, 8:11 AM

Thinking maybe we could do this in another way:
We could add tests for different connection types for our blank page, then we would know what's the fastest our pages can be. It will not be exactly the same but we then will know our limit. That will make it easier to set realistic goals.

dr0ptp4kt updated the task description. (Show Details)Jan 13 2016, 6:17 PM
dr0ptp4kt set Security to None.

Asset size looks sufficient for what we need... how is this data generated? Is it a median of all traffic or on certain pages?

@Peter we already measure the size of a blank page, but I'm not seeing many opportunities there.

Jdlrobson closed this task as Resolved.Feb 10 2016, 9:47 PM
Jdlrobson claimed this task.

Thanks to @ori
it looks like we could use text cache eqiad for tracking bytes saved in HTML for a week period
and uploads cache eqiad for tracking bytes saved with Images for a week period.

We're currently serving 0.8-2GB per second for images and 150-400mb of HTML per second.